[INCLUDE: common/custom_emissive.ini]
heatingMult = 0.5

[EMISSIVE_LIGHT_...] 
NAME=ext_rear_lights_bars, ext_rear_lights_bars_inner
COLOR=30,60,0, 1
LAG=0
SIMULATE_HEATING=0
CAST_LIGHT=1
LOCATION=REAR
CLUSTER_THRESHOLD=0.5

[EMISSIVE_LIGHT_...] 
NAME=ext_rear_reflectors_lit, 
COLOR=50,1,0,.5
OFF_COLOR = 50,1,0,.5
LAG=0
SIMULATE_HEATING=0
CAST_LIGHT=1
LOCATION=NONE
CLUSTER_THRESHOLD=0.5

[EMISSIVE_LIGHT_...] 
NAME=ext_front_reflectors
COLOR=50,50,0,.5
OFF_COLOR = 50,50,0,.5
LAG=0
SIMULATE_HEATING=0
CAST_LIGHT=1
LOCATION=NONE
CLUSTER_THRESHOLD=0.5

[EMISSIVE_BRAKE_...]
NAME = ext_brake_emissive, ; name (one or more) of a mesh to glow
COLOR = 10,80,0, 200
FALLBACK_HEADLIGHTS_COLOR = 0
DIFFUSE_CONCENTRATION=999
EXTERIOR_ONLY=1
INTERIOR_ONLY=0
AFFECTS_TRACK=0
SIMULATE_HEATING=0
LAG=0
FADE_AT=10
FADE_SMOOTH=45
MIRROR=0.46, 0.0, 0
POSITION=0, 0.56, -2.05
DIRECTION=0.1, -0.0, -0.92
RANGE=2
RANGE_GRADIENT_OFFSET=0.5
SPECULAR_MULT=0.0
SPOT=175
SIMULATE_HEATING=0
LOCATION=REAR
CAST_LIGHT=0

[LIGHT_EXTRA_0_REARLIGHTS]
BOUND_TO=ext_brake_emissive
BOUND_EMISSIVE_MAX=70
BOUND_EXP=1
POSITION=0.00, 0.53, -1.7
MIRROR=0.488
DIRECTION=0, -0.2, -1
AFFECTS_TRACK=1
SELF_LIGHTNING=1
EXTERIOR_ONLY=1
INTERIOR_ONLY=0
SPECULAR_MULT=2
DIFFUSE_CONCENTRATION=1
SPOT=85
SPOT_SHARPNESS=0.1
FADE_AT=450
FADE_SMOOTH=5
RANGE=4
RANGE_GRADIENT_OFFSET=0.25
COLOR=5, 0, 0, 1

[EMISSIVE_BRAKE_...]
NAME=ext_baked_brake_housing_emissive
COLOR=20,90,0, 2
FALLBACK_LOWBEAM_COLOR=0
TOGGLE_VISIBILITY = 1
INPUT_THRESHOLD=0
INPUT_THRESHOLD_INVERSE=0
SIMULATE_HEATING=2
LOCATION=FRONT
CAST_LIGHT=0
CLUSTER_THRESHOLD=0.5
LAG = 0

[EMISSIVE_BRAKE_...]
NAME = ext_middle_brake_glass,; name (one or more) of a mesh to glow
COLOR = 20,20,0, 20
FALLBACK_HEADLIGHTS_COLOR = 0
DIFFUSE_CONCENTRATION=999
EXTERIOR_ONLY=1
INTERIOR_ONLY=0
AFFECTS_TRACK=0
SIMULATE_HEATING=0
LAG=0.77
FADE_AT=10
FADE_SMOOTH=45
MIRROR=0.46, 0.0, 0
POSITION=0, 0.56, -2.05
DIRECTION=0.1, -0.0, -0.92
RANGE=2
RANGE_GRADIENT_OFFSET=0.5
SPECULAR_MULT=0.0
SPOT=175
SIMULATE_HEATING=0
LOCATION=REAR
CAST_LIGHT=0
CHANNEL=0,1,3,4

[EMISSIVE_TURNSIGNAL_LEFT_...]
;left
NAME=ext_rear_indicator_left_emissive, 
COLOR=180, 40, 10, 0.5
LAG=0.5
SIMULATE_HEATING=0 
CAST_LIGHT=1
LOCATION=REAR

[EMISSIVE_TURNSIGNAL_LEFT_...]
NAME=ext_indicator_housing_baked_left
COLOR=180, 30, 10, 2
FALLBACK_LOWBEAM_COLOR=0
TOGGLE_VISIBILITY = 1
INPUT_THRESHOLD=0
INPUT_THRESHOLD_INVERSE=0
SIMULATE_HEATING=2
LOCATION=NONE
CAST_LIGHT=0
CLUSTER_THRESHOLD=0.5
LAG = 0.5

[EMISSIVE_TURNSIGNAL_RIGHT_...]
;right
NAME= ext_rear_indicator_right_emissive
COLOR=180, 30, 10, 2
LAG=0.5
SIMULATE_HEATING=0 
CAST_LIGHT=1
LOCATION=REAR

[EMISSIVE_TURNSIGNAL_RIGHT_...]
NAME=ext_indicator_housing_baked_right
COLOR=180, 30, 10, 2
FALLBACK_LOWBEAM_COLOR=0
TOGGLE_VISIBILITY = 1
INPUT_THRESHOLD=0
INPUT_THRESHOLD_INVERSE=0
SIMULATE_HEATING=2
LOCATION=NONE
CAST_LIGHT=0
CLUSTER_THRESHOLD=0.5
LAG = 0.5

[EMISSIVE_REVERSE_...]
NAME=ext_reverse_light_bulb
COLOR=2,2,2,100
LOCATION=REAR
LAG=0
SIMULATE_HEATING=0.3
CAST_LIGHT=1
OFF_COLOR=0,0,0

[EMISSIVE_REVERSE_...]
NAME=ext_baked_reverse_light_housing_emissive
COLOR=2,2,2,20
TOGGLE_VISIBILITY = 1
INPUT_THRESHOLD=0
INPUT_THRESHOLD_INVERSE=0
LOCATION=REAR
LAG=0
SIMULATE_HEATING=0.3
CAST_LIGHT=1
OFF_COLOR=0,0,0

[EMISSIVE_EXTRA_A_...]
NAME= ext_fog_bulbs
COLOR=6,6,6, 50
FALLBACK_HEADLIGHTS_COLOR = 0
SIMULATE_HEATING=2
INPUT_LAG_UP=0
INPUT_LAG_DOWN=0
LOCATION=FRONT
ACT_AS_HEADLIGHTS =01
OFF_COLOR=0,0,0
CAST_LIGHT=2
CLUSTER_THRESHOLD=0.5

[EMISSIVE_EXTRA_A_...]
NAME=ext_bake_fog_housing
COLOR=60,60,60, 0.8
FALLBACK_LOWBEAM_COLOR=0
TOGGLE_VISIBILITY = 1
INPUT_THRESHOLD=0
INPUT_THRESHOLD_INVERSE=0
SIMULATE_HEATING=2
LOCATION=FRONT
CAST_LIGHT=0
CLUSTER_THRESHOLD=0.5
LAG = 0

[LIGHT_EXTRA_...]
BIND_TO_EXTRA_A= 1
COLOR=60,60,60, 1
DIFFUSE_CONCENTRATION=1
EXTERIOR_ONLY=0
INTERIOR_ONLY=0
AFFECTS_TRACK=1
SIMULATE_HEATING=0
LAG=0.77
FADE_AT=20
FADE_SMOOTH=45
MIRROR=0.653, 0.0, 0
POSITION=0, 0.178, 2.25
DIRECTION=0.0, -0.5, 0.99
RANGE=10
RANGE_GRADIENT_OFFSET=0.4
SPECULAR_MULT=0.0
SPOT=140
BIND_TO_HEADLIGHTS=0

[EMISSIVE_TURNSIGNAL_LEFT_...]
;left
NAME=ext_mirror_indicators_glass, 
COLOR=110, 40, 10, 0.2
LAG=0.5
SIMULATE_HEATING=0 
CAST_LIGHT=1
LOCATION=NONE
CHANNEL = 3

[EMISSIVE_TURNSIGNAL_RIGHT_...]
;right
NAME= ext_mirror_indicators_glass
COLOR=110, 40, 10, 0.2
LAG=0.5
SIMULATE_HEATING=0 
CAST_LIGHT=1
LOCATION=NONE
CHANNEL = 4

[EMISSIVE_LIGHT_...]
NAME = ext_bulb_glass
COLOR=1,1,1,6
OFF_COLOR = 0,0,0,0
LAG = 0.0
SIMULATE_HEATING = 0.3
LOCATION = FRONT
ACT_AS_HEADLIGHTS =1
AMBIENT_INFLUENCE = 0.2
CHANNEL = 0

[SelfLight]
;right
POSITION=-0.682, 0.585, 1.92
MIRROR=0			
SPOT=120	
RANGE=0.1
COLOR = 100,100,100,60
BIND_TO_HEADLIGHTS=1	
DIRECTION = 0,0,-1
AMBIENT_INFLUENCE=0
SPECULAR_MULT=2

[SelfLight]
;right
POSITION=-0.682, 0.585, 1.94
MIRROR=0			
SPOT=120	
RANGE=0.1
COLOR = 100,100,100,60
BIND_TO_HEADLIGHTS=1	
DIRECTION = 0,0,-1
AMBIENT_INFLUENCE=0
SPECULAR_MULT=2

[SelfLight]
;left
POSITION=0.682, 0.579, 1.92
MIRROR=0			
SPOT=120	
RANGE=0.1
COLOR = 100,100,100,60
BIND_TO_HEADLIGHTS=1	
DIRECTION = 0,0,-1
AMBIENT_INFLUENCE=0
SPECULAR_MULT=2

[SelfLight]
;left
POSITION=0.682, 0.579, 1.91
MIRROR=0			
SPOT=120	
RANGE=0.1
COLOR = 100,100,100,60
BIND_TO_HEADLIGHTS=1	
DIRECTION = 0,0,-1
AMBIENT_INFLUENCE=0
SPECULAR_MULT=2

---------------------------------------

[EMISSIVE_HIGHBEAM_...]
NAME=ext_front_drl_main, ext_front_drl_lower
COLOR=60,60,60, 0.5
FALLBACK_HEADLIGHTS_COLOR= 60,60,60, 0.5
OFF_COLOR=60,60,60, 4
SIMULATE_HEATING=2
LOCATION=FRONT
CAST_LIGHT=0
CLUSTER_THRESHOLD=0.5
LAG = 0
CHANNEL = 0

[EMISSIVE_TURNSIGNAL_LEFT_...]
;left
NAME=ext_front_drl_main, ext_front_drl_lower
COLOR=110, 40, 10, 20
LAG=0.5
SIMULATE_HEATING=0 
CAST_LIGHT=1
LOCATION=FRONT
CHANNEL = 3

[EMISSIVE_TURNSIGNAL_RIGHT_...]
;right
NAME= ext_front_drl_main, ext_front_drl_lower
COLOR=110, 40, 10, 20
LAG=0.5
SIMULATE_HEATING=0 
CAST_LIGHT=1
LOCATION=FRONT
CHANNEL = 4

[EMISSIVE_LIGHT_...]
NAME=int_digital_cluster, int_gr_logos_lit, int_cluster.001, int_fuel_gauge, int_water_temp, int_oil_temp, int_oil_pressure, int_rpm_needle
COLOR=1,1,1,2
OFF_COLOR = 1,1,1,3
SIMULATE_HEATING=2
LOCATION=FRONT
CAST_LIGHT=1
CLUSTER_THRESHOLD=0.5

[EXTRA_FX_EMISSIVE_...]
MESHES = int_cluster, 
RANGE = 0.12
COLOR = 1

[EMISSIVE_LIGHT_...]
NAME=int_wheel_buttons_lit, int_buttons_lit, int_climate_blue_lit
COLOR=0.2,0.4,1,5
OFF_COLOR = 0.2,0.4,1,6
SIMULATE_HEATING=2
LOCATION=FRONT
CAST_LIGHT=1
CLUSTER_THRESHOLD=0.5

[EMISSIVE_LIGHT_...]
NAME=int_buttons_lit.001
COLOR=2,0.4,0.1,5
OFF_COLOR = 2,0.4,0.1,6
SIMULATE_HEATING=2
LOCATION=FRONT
CAST_LIGHT=1
CLUSTER_THRESHOLD=0.5

[EMISSIVE_LIGHT_...]
NAME=int_climate_red_lit
COLOR=1,0.4,0.2,5
OFF_COLOR = 1,0.4,0.2,6
SIMULATE_HEATING=2
LOCATION=FRONT
CAST_LIGHT=1
CLUSTER_THRESHOLD=0.5

[EMISSIVE_LIGHT_...]
NAME=int_screen
COLOR=1,1,1,3
OFF_COLOR = 1,1,1,4
SIMULATE_HEATING=2
LOCATION=FRONT
CAST_LIGHT=1
CLUSTER_THRESHOLD=0.5

[EMISSIVE_...]
NAME=int_screen_toyota
COLOR=1,1,1,3
SIMULATE_HEATING=2
LOCATION=FRONT
CAST_LIGHT=1
CLUSTER_THRESHOLD=0.5
BIND_TO=RPM
INPUT_THRESHOLD=900
INPUT_THRESHOLD_INVERSE=1
TOGGLE_VISIBILITY = 1

[EMISSIVE_LIGHT_...]
NAME=ext_plate_glass
COLOR=60,60,60, 0.1
SIMULATE_HEATING=2
LOCATION=FRONT
CAST_LIGHT=1
CLUSTER_THRESHOLD=0.5

[LIGHT_LICENSEPLATE]
MESHES=Plate_US, ext_dealer_plate
OFFSET=0.031, 0.055, 0.01
RANGE=0.3
RANGE_GRADIENT_OFFSET=0.3
SPOT=110
SPOT_SHARPNESS=0.1
COLOR=25.5,25.5,25.5, 2
FALLBACK_EMISSIVE=2.55,1.73,0.94,2
FADE_AT=50
LAYOUT=TWO_ON_TOP

[EMISSIVE_...]
NAME=int_rpm_white, int_rpm_white.001
COLOR=1,1,1,2
BIND_TO=RPM
INPUT_THRESHOLD=6000
INPUT_THRESHOLD_INVERSE=1
TOGGLE_VISIBILITY = 1
SIMULATE_HEATING=2
LOCATION=FRONT
CAST_LIGHT=1
CLUSTER_THRESHOLD=0.5

[EMISSIVE_...]
NAME=int_rpm_white.002, int_rpm_white.003, 
BIND_TO=RPM
INPUT_THRESHOLD=6000
INPUT_THRESHOLD_INVERSE=0
COLOR=1,1,1,2
OFF_COLOR = 1,1,1,3
TOGGLE_VISIBILITY = 1
LAG=0

[EMISSIVE_...]
NAME=int_yellow_border
BIND_TO=RPM
INPUT_THRESHOLD=6000
INPUT_THRESHOLD_INVERSE=0
COLOR=1,1,1,2
TOGGLE_VISIBILITY = 1
LAG=0

[EMISSIVE_...]
NAME=int_rpm_red, int_rpm_red_1, int_red_border
BIND_TO=RPM
INPUT_THRESHOLD=6800
INPUT_THRESHOLD_INVERSE=0
COLOR=1,1,1,2
TOGGLE_VISIBILITY = 1
LAG=0


[EMISSIVE_...]
NAME=int_red_flash
BIND_TO=RPM
INPUT_THRESHOLD=6800
INPUT_THRESHOLD_INVERSE=0
COLOR=1,1,1,2
TOGGLE_VISIBILITY = 1
LAG=0
BLINK_REPEAT = 1 ; just make it blink
BLINK_FREQENCY_HZ = 5 ; sets frequency for blinking

[EMISSIVE_...]
NAME=int_yellow_flash
BIND_TO=RPM
INPUT_THRESHOLD=6000
INPUT_THRESHOLD_INVERSE=0
COLOR=1,1,1,2
TOGGLE_VISIBILITY = 1
LAG=0
BLINK_REPEAT = 1 ; just make it blink
BLINK_FREQENCY_HZ = 5 ; sets frequency for blinking

[EMISSIVE_...]
NAME=int_digital_cluster_speed_red_bar
BIND_TO=RPM
INPUT_THRESHOLD=6800
INPUT_THRESHOLD_INVERSE=0
COLOR=1,1,1,2
TOGGLE_VISIBILITY = 1
LAG=0


[EMISSIVE_...]
NAME=int_warning_handbrake, int_warning_brake
BIND_TO=HANDBRAKE 
TOGGLE_VISIBILITY = 1
INPUT_THRESHOLD=0
INPUT_THRESHOLD_INVERSE=0
COLOR=250,0,0,0.1
LAG=0

[EMISSIVE_LIGHT_...]
NAME=int_gr_mode
COLOR = 0, 255, 5, 0.02
OFF_COLOR = 0, 255, 5, 0.02
LAG=0

[EMISSIVE_LIGHT_...]
NAME=int_warning_lights, int_warning_lights.001
COLOR = 0, 255, 5, 0.02
TOGGLE_VISIBILITY = 1
LAG=0

[EMISSIVE_EXTRA_A_...]
NAME=int_warning_fog_Lights, int_warning_fog_Lights.001
COLOR=0, 255, 5, 0.02
SIMULATE_HEATING=0.5
CLUSTER_THRESHOLD=0.5
LOCATION=NONE
LAG=0.2
TOGGLE_VISIBILITY = 1

[EMISSIVE_...]
NAME=int_warning_tyre_pressure
BIND_TO=TYRE_PRESSURE 
TOGGLE_VISIBILITY = 1
INPUT_THRESHOLD=22
INPUT_THRESHOLD_INVERSE=1
COLOR=250,0,0,0.1
LAG=0

[EMISSIVE_...]
NAME=int_warning_abs
BIND_TO=ABS
COLOR=250,0,0,0.1
TOGGLE_VISIBILITY = 1
INPUT_THRESHOLD=0
INPUT_THRESHOLD_INVERSE=1

[EMISSIVE_...]
NAME=int_warning_traction_off
BIND_TO=TRACTIONCONTROL
COLOR=250,0,0,0.1
TOGGLE_VISIBILITY = 1
INPUT_THRESHOLD=0
INPUT_THRESHOLD_INVERSE=1

[EMISSIVE_...]
NAME=int_warning_traction_active
COLOR=250,0,0,0.1
BIND_TO=SLIP_RATIO  
TOGGLE_VISIBILITY = 1
INPUT_THRESHOLD=0.05
INPUT_THRESHOLD_INVERSE=0

[EMISSIVE_...]
NAME=int_warning_check_engine
BIND_TO=STALLED 
TOGGLE_VISIBILITY = 1
INPUT_THRESHOLD=0
INPUT_THRESHOLD_INVERSE=0
ENGINE_LIFE_THRESHOLD=950
COLOR=250,0,0,0.1
LAG=0

[EMISSIVE_TURNSIGNAL_RIGHT_...]
;right
NAME= int_warning_indicate_right
COLOR=0,250,0, 0.1
LAG=0.6
SIMULATE_HEATING=0 
LOCATION=NONE
TOGGLE_VISIBILITY = 1

[EMISSIVE_TURNSIGNAL_LEFT_...]
;left
NAME= int_warning_indicate_left
COLOR=0,250,0, 0.1
LAG=0.6
SIMULATE_HEATING=0 
LOCATION=NONE
TOGGLE_VISIBILITY = 1

[EMISSIVE_EXTRA_B_...]
NAME=int_dome_light_emissive, int_center_dome_light
COLOR=255, 255, 255, 0.5
SIMULATE_HEATING=0.5
CLUSTER_THRESHOLD=0.5
LOCATION=NONE
LAG=0.2

[LIGHT_EXTRA_...]
BIND_TO_EXTRA_B=1
BOUND_TO = int_dome_light_emissive
COLOR=2.55,2.55,2.55, 5
DIFFUSE_CONCENTRATION=0.99
EXTERIOR_ONLY=0
INTERIOR_ONLY=0
AFFECTS_TRACK=0
FADE_AT=80
FADE_SMOOTH=50
MIRROR=0.17, 0, 0
MIRROR_DIRECTION=1
POSITION=0, 1.13, -0.2
DIRECTION=0, -1, -0.0
RANGE=1.5
RANGE_GRADIENT_OFFSET=0.4
SPECULAR_MULT=0.5
SPOT=150
SPOT_SHARPNESS=0.1

[LIGHT_EXTRA_...]
BIND_TO_EXTRA_B=1
BOUND_TO = int_dome_light_emissive
COLOR=2.55,2.55,2.55, 5
DIFFUSE_CONCENTRATION=0.99
EXTERIOR_ONLY=0
INTERIOR_ONLY=0
AFFECTS_TRACK=0
FADE_AT=80
FADE_SMOOTH=50
MIRROR=0.17, 0, 0
MIRROR_DIRECTION=1
POSITION=0, 1.13, -0.5
DIRECTION=0, -1, -0.0
RANGE=1.5
RANGE_GRADIENT_OFFSET=0.4
SPECULAR_MULT=0.5
SPOT=150
SPOT_SHARPNESS=0.1
--------------------- mode stuff ----------------------

[EMISSIVE_...]
NAME = int_normal_mode, int_60_40_mode
INPUT = CPHYS_SCRIPT_0
INPUT_LUT = (|0=1|1=0|2=0|)
COLOR = 0, 255, 5, 0.02
TOGGLE_VISIBILITY = 1

[EMISSIVE_...]
NAME = int_sport_mode, 
INPUT = CPHYS_SCRIPT_0
INPUT_LUT = (|0=0|1=0|2=1|)
COLOR = 0, 255, 5, 0.02
TOGGLE_VISIBILITY = 1

[EMISSIVE_...]
NAME = int_50_50_mode, int_track_mode
INPUT = CPHYS_SCRIPT_0
INPUT_LUT = (|0=0|1=1|2=0|)
COLOR = 0, 255, 5, 0.02
TOGGLE_VISIBILITY = 1

[EMISSIVE_...]
NAME = int_30_70_mode
INPUT = CPHYS_SCRIPT_0
INPUT_LUT = (|0=0|1=0|2=1|)
COLOR = 0, 255, 5, 0.02
TOGGLE_VISIBILITY = 1

------------------ track mode display -------------

[EMISSIVE_...]
NAME=int_digital_cluster_speed_white
COLOR=1,1,1,2
BIND_TO=RPM
INPUT_THRESHOLD=5200
INPUT_THRESHOLD_INVERSE=1
TOGGLE_VISIBILITY = 1
SIMULATE_HEATING=2
LOCATION=FRONT
CAST_LIGHT=1
CLUSTER_THRESHOLD=0.5

[EMISSIVE_...]
;orange colour
NAME=int_digital_cluster_speed_yellow
BIND_TO=RPM
INPUT_THRESHOLD=5200
INPUT_THRESHOLD_INVERSE=0
COLOR=1,1,1,2
TOGGLE_VISIBILITY = 1
LAG=0

[EMISSIVE_...]
;red colour
NAME=int_digital_cluster_speed_red
BIND_TO=RPM
INPUT_THRESHOLD=6800
INPUT_THRESHOLD_INVERSE=0
COLOR=1,1,1,2
TOGGLE_VISIBILITY = 1
LAG=0